
### Common Windows Dev/QA services

#define service {
#	service_description		ESS services
#	use				Windows Dev/QA service
#	hostgroup_name			Windows Dev/QA, MSSQL Dev Clusters
#	notification_period		8x5
#	check_command			check_multi!-f /usr/local/nagios/etc/objects/multi_ess_devqa_win.cmd -n "$SERVICEDESC$" -s USER1=/usr/local/monitoring/nagios/libexec -s USER3=60 -s USER10=9666 -r 1+2+4+8
#	contact_groups			null
#	contacts			nagiosadmin
#}

define service {
	service_description		nrpe_wintest_agent_status
	use				Windows Dev/QA service
	hostgroup_name			Windows Dev/QA, MSSQL Dev Clusters
	max_check_attempts		3
	retry_interval			2
	notification_period		8x5
	check_command			check_nrpe_agent
	contacts			ESS Windows List
}

define service {
	service_description		snmp_wintest_alive
	use				Windows Dev/QA service
	hostgroup_name			Windows Dev/QA
	max_check_attempts		3
	retry_interval			3
	check_command			check_snmp_alive
	contacts			Igor V. Gubenko
}
####
##define service {
#	service_description		nrpe_wintest_cpu
#	use				Windows Dev/QA service
#	hostgroup_name			Windows Dev/QA, !Facilities Dev/QA
#        max_check_attempts		5
#        normal_check_interval		30
#        retry_check_interval		30
#	notification_period		8x5
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#        check_command			check_nrpe_win_cpu!90!95!time=1h
#}

define service {
	service_description		nrpe_wintest_cpu
	use				Windows Dev/QA service
	hostgroup_name			Facilities Dev/QA
        max_check_attempts		5
        normal_check_interval		30
        retry_check_interval		30
	notification_period		8x5
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
        check_command			check_nrpe_win_cpu!90!95!time=1h
	contact_groups			null
	contacts			Fac List
}

#define service {
#	service_description		snmp_wintest_load
#	use				Windows Dev/QA service
#	hostgroup_name			Windows Dev/QA
#	max_check_attempts		6
#	normal_check_interval		10
#	retry_check_interval		6
#action_url           /princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=snmp_wintest_load
#	check_command			check_snmp_win_load!95!99
#}
#
#define service {
#	service_description		snmp_wintest_memory
#	use				Windows Dev/QA service
#	hostgroup_name			Windows Dev/QA
#	max_check_attempts		6
#	normal_check_interval		10
#	retry_check_interval		6
#action_url           /princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=snmp_wintest_memory
#	check_command			check_snmp_win_memory!85!95
#}

define service {
	service_description		nrpe_wintest_paging_used
	use				Windows Dev/QA service
	hostgroup_name			Windows Dev/QA, !Facilities Dev/QA
	notification_period		8x5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_mem!page!90%!95%
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_wintest_paging_used
	use				Windows Dev/QA service
	hostgroup_name			Facilities Dev/QA
	notification_period		8x5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_mem!page!90%!95%
	contacts			Fac List
}

define service {
	service_description		nrpe_wintest_service_McAfee
	use				Windows Dev/QA service
	host_name			sdp100w
	notification_period		8x5
	check_command			check_nrpe_win_service!McAfeeFramework McShield McTaskManager
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_wintest_service_standard
	use				Windows Dev/QA service
	hostgroup_name			Windows Dev/QA, !AWS Untrust Dev/QA Windows
	host_name			!csgcas104w, !csgcas105w, !csghub102w, !csghub103w, !sdp300w, !sdp100w
	notification_period		8x5
	check_command			check_nrpe_win_service!CSFalconService Eventlog "Rapid7 Insight Agent" SNMP Snare "Tripwire Enterprise Agent" "Tripwire Detection Service"
	contacts			ESS Windows List
}

define service {
	service_description		nrpe_wintest_puppet
	use				Windows Dev/QA service
	hostgroup_name			Windows Dev/QA
	normal_check_interval		30
	retry_check_interval		10
	notification_interval		1440
	check_command			check_nrpe_generic!check_puppet
	contacts			nobody
	#contacts			Nicholas Delo
}

# No Snare
define service {
	service_description		nrpe_wintest_service_standard
	use				Windows Dev/QA service
	host_name			sdp300w
	notification_period		8x5
	check_command			check_nrpe_win_service!CSFalconService Eventlog "Rapid7 Insight Agent" SNMP "Tripwire Enterprise Agent" "Tripwire Detection Service"
	contacts			ESS Windows List
}

# Snare replaced by McAfee SIEM Collector
define service {
	service_description		nrpe_wintest_service_standard
	use				Windows Dev/QA service
	host_name			csgcas104w, csgcas105w, csghub102w, csghub103w
	notification_period		8x5
	check_command			check_nrpe_win_service!CSFalconService Eventlog "McAfee SIEM Collector" "Rapid7 Insight Agent" SNMP "Tripwire Enterprise Agent" "Tripwire Detection Service"
	contacts			ESS Windows List
}


define service {
	service_description		nrpe_wintest_disk_system
	use				Windows Dev/QA service
	hostgroup_name			Windows Dev/QA, !Facilities Dev/QA
	host_name			!aisob318tstw, !aisob318w, !aisob118w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ESS Windows List
}

# C:\ for Facilities boxes also goes to Facilities
define service {
	service_description		nrpe_wintest_disk_system
	use				Windows Dev/QA service
	hostgroup_name			Facilities Dev/QA
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ESS Windows List, Fac List
}

define service {
	service_description		nrpe_wintest_disk_system
	use				Windows Dev/QA service
	host_name			aisob318tstw, aisob318w, aisob118w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_disk!90%!97%!Drive=C:
	contacts			ESS Windows List, ECM Admin Notify
}


define service {
	service_description		snmp_wintest_OpenManage
	use				Windows Dev/QA service
	hostgroup_name			Physical Dev/QA Windows
	notification_interval		43200
	notification_options		c
	check_command			check_snmp_openmanage_new
	contacts			ESS Ops
}


define service {
	service_description		nrpe_wintest_service_OpenManage
	use				Windows Dev/QA service
	hostgroup_name			Physical Dev/QA Windows
	check_command			check_nrpe_win_service!"DSM SA Connection Service" "DSM SA Data Manager" "DSM SA Event Manager" "DSM SA Shared Services"
	contacts			ESS Windows List
}


